CVE-2012-3517

NameCVE-2012-3517
DescriptionUse-after-free vulnerability in dns.c in Tor before 0.2.2.38 might allow remote attackers to cause a denial of service (daemon crash) via vectors related to failed DNS requests.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-17-1
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tor (PTS)stretch0.2.9.16-1fixed
stretch (security)0.2.9.15-1fixed
buster, buster (security)0.3.5.16-1fixed
bullseye (security), bullseye0.4.5.10-1~deb11u1fixed
bookworm, sid0.4.6.8-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
torsourcesqueeze0.2.4.23-1~deb6u1
torsource(unstable)0.2.3.20-rc-1low

Search for package or bug name: Reporting problems